#!/bin/bash

#SBATCH --job-name=prxySNP
#SBATCH --account=pi-yangili1
#SBATCH --time=36:00:00
#SBATCH --output=runprxySNP.out
#SBATCH --error=runprxySNP.err
#SBATCH --partition=broadwl
#SBATCH --mem=50G
#SBATCH --mail-type=END

#module load Anaconda3
#source activate three-prime-env
source ~/activate_anaconda.sh
conda activate three-prime-env

curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7076314&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7076314.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs10905260&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs10905260.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7085721&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7085721.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2399989&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2399989.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs59974558&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs59974558.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs35714681&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs35714681.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs35927251&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs35927251.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs41297002&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs41297002.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs74401217&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs74401217.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2799004&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2799004.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs4294520&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs4294520.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs1813028&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs1813028.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs11101320&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs11101320.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs80090074&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs80090074.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs142143643&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs142143643.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs4747199&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs4747199.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs12266021&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs12266021.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2394924&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2394924.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs78249997&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs78249997.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs3878005&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs3878005.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs111479969&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs111479969.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs1863898&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs1863898.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs3740278&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs3740278.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs12243282&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs12243282.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs57257088&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs57257088.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs17112791&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs17112791.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7897454&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7897454.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs41291460&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs41291460.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs41291462&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs41291462.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7096249&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7096249.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs74154780&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs74154780.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs74154772&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs74154772.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7911081&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7911081.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs73371513&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs73371513.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7904973&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7904973.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs17153519&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs17153519.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7069649&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7069649.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7347&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7347.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs4750935&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs4750935.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs12421158&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs12421158.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7934876&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7934876.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs10840038&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs10840038.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2653597&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2653597.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs6484306&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs6484306.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs11031876&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs11031876.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs10836108&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs10836108.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs11032578&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs11032578.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs71481909&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs71481909.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs74574566&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs74574566.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs58638551&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs58638551.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs11229865&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs11229865.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs12277311&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs12277311.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs72929424&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs72929424.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs481557&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs481557.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs183591895&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs183591895.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs5858&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs5858.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs75314254&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs75314254.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs524859&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs524859.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs4277117&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs4277117.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs147550441&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs147550441.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs10791982&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs10791982.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs3376&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs3376.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2276046&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2276046.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs76900909&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs76900909.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs183677812&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs183677812.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs148813044&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs148813044.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs138463614&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs138463614.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs76268187&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs76268187.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs144535933&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs144535933.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs76719109&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs76719109.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs138095766&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs138095766.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs138655219&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs138655219.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7120705&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7120705.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7118229&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7118229.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs10891659&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs10891659.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs114034580&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs114034580.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs4936365&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs4936365.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs11218363&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs11218363.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7937294&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7937294.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7116152&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7116152.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs533058&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs533058.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs72650719&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs72650719.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs11062030&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs11062030.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs6488100&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs6488100.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2080210&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2080210.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs10772060&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs10772060.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs4763867&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs4763867.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7314608&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7314608.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2708336&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2708336.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs61699779&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs61699779.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7314784&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7314784.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs10841229&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs10841229.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7131809&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7131809.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2587052&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2587052.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs1673864&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs1673864.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs11181458&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs11181458.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs11181505&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs11181505.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs58789572&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs58789572.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs17125416&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs17125416.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs8652&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs8652.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs1801876&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs1801876.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs4559&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs4559.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs12306066&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs12306066.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs73323436&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs73323436.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs56256810&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs56256810.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs4761228&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs4761228.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs10745624&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs10745624.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs4762166&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs4762166.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2138257&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2138257.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs11111852&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs11111852.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs1541795&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs1541795.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs10128780&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs10128780.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs55752061&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs55752061.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs10774671&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs10774671.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs75341576&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs75341576.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs10770190&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs10770190.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs74617366&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs74617366.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs66694750&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs66694750.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs10773020&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs10773020.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs6488889&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs6488889.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs73437423&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs73437423.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs61943975&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs61943975.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs75320873&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs75320873.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs61426779&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs61426779.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs151318333&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs151318333.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7982740&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7982740.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2181184&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2181184.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs73485710&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs73485710.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs71432775&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs71432775.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs4885043&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs4885043.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs8002668&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs8002668.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2165390&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2165390.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs73524217&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs73524217.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs9318213&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs9318213.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7999950&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7999950.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs1289317&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs1289317.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2490983&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2490983.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs74118417&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs74118417.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs1760915&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs1760915.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs66761532&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs66761532.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs145263152&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs145263152.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs77673327&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs77673327.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs8010398&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs8010398.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs179716&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs179716.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs17104335&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs17104335.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs116472993&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs116472993.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs74433596&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs74433596.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs79432096&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs79432096.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs114732546&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs114732546.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs6650507&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs6650507.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs1956367&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs1956367.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs448113&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs448113.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs944458&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs944458.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs4902346&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs4902346.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs10149617&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs10149617.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs75664871&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs75664871.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7150606&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7150606.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs12881907&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs12881907.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs77775838&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs77775838.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs149651817&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs149651817.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs111854480&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs111854480.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs8021036&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs8021036.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs61625648&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs61625648.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs72704737&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs72704737.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs3212103&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs3212103.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs10144410&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs10144410.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs185065503&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs185065503.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs114680636&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs114680636.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs185667797&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs185667797.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs4566122&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs4566122.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs12591181&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs12591181.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs8037200&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs8037200.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs10438394&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs10438394.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs8042729&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs8042729.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs11070280&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs11070280.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs28377562&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs28377562.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs58042601&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs58042601.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2247517&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2247517.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs75084116&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs75084116.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs12439117&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs12439117.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs12902774&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs12902774.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs72748722&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs72748722.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs12906276&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs12906276.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs77603161&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs77603161.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs55682754&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs55682754.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs11858304&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs11858304.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs28713646&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs28713646.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs113155369&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs113155369.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs15342&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs15342.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs9938540&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs9938540.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2233541&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2233541.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs4782205&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs4782205.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs4783352&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs4783352.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs9938722&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs9938722.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs74015781&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs74015781.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs112547761&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs112547761.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs1858875&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs1858875.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs115004740&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs115004740.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7203203&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7203203.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7188330&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7188330.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs114093369&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs114093369.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs76171566&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs76171566.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs9926893&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs9926893.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2863975&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2863975.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs3785129&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs3785129.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs16958773&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs16958773.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs139844919&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs139844919.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs115018779&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs115018779.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs9927684&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs9927684.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs9937322&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs9937322.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs112654653&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs112654653.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs186173769&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs186173769.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs8067500&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs8067500.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2521991&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2521991.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs3933469&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs3933469.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs9910821&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs9910821.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs8074849&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs8074849.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2286796&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2286796.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs34779276&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs34779276.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs35455145&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs35455145.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs1131632&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs1131632.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs16964955&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs16964955.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs4239228&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs4239228.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs113442199&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs113442199.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs116238052&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs116238052.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs34656640&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs34656640.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs189621990&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs189621990.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs3785451&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs3785451.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs61422252&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs61422252.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs139711596&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs139711596.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs67532907&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs67532907.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs147976522&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs147976522.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs188050643&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs188050643.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs9905308&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs9905308.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs148992138&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs148992138.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs9897492&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs9897492.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs8071832&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs8071832.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs1860863&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs1860863.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs4273084&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs4273084.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs12945393&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs12945393.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7209525&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7209525.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs191825334&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs191825334.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs9891272&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs9891272.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs79568234&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs79568234.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs73332580&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs73332580.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs113089680&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs113089680.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7208408&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7208408.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs111867548&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs111867548.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs56047430&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs56047430.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs73366221&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs73366221.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs78139339&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs78139339.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs56741702&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs56741702.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs11874787&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs11874787.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs77343163&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs77343163.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7238375&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7238375.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs9951817&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs9951817.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs6505835&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs6505835.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs58486460&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs58486460.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs8087845&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs8087845.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs9954082&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs9954082.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs607917&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs607917.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs3087680&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs3087680.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2074453&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2074453.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs265265&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs265265.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs41450045&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs41450045.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs113305890&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs113305890.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs57034092&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs57034092.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs794082&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs794082.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs1057253&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs1057253.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7245932&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7245932.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs12373520&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs12373520.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs112987796&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs112987796.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs4804718&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs4804718.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs11086029&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs11086029.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs10420713&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs10420713.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs4808095&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs4808095.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs12327667&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs12327667.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs111233315&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs111233315.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs73926914&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs73926914.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs1629897&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs1629897.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2358980&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2358980.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2968029&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2968029.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2358988&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2358988.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs12983787&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs12983787.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs4621113&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs4621113.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs12459704&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs12459704.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2599436&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2599436.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs73941105&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs73941105.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs3745486&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs3745486.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs80051882&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs80051882.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs12449&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs12449.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs11881396&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs11881396.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs112787272&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs112787272.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs1673036&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs1673036.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs441549&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs441549.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7257499&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7257499.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs117285447&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs117285447.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2708817&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2708817.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs4801440&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs4801440.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs10411287&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs10411287.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs61020444&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs61020444.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs150451019&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs150451019.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7253514&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7253514.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs75991626&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs75991626.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs260496&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs260496.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs6510137&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs6510137.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs1058411&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs1058411.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs147338388&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs147338388.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs4648349&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs4648349.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs79628206&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs79628206.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs113409653&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs113409653.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs769898&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs769898.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7555576&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7555576.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs79570154&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs79570154.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs113384666&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs113384666.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs1534949&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs1534949.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2092322&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2092322.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs12073334&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs12073334.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs114311752&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs114311752.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs549619&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs549619.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs74064856&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs74064856.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7518203&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7518203.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs12401341&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs12401341.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs10798861&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs10798861.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs6425760&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs6425760.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs56654379&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs56654379.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs59149247&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs59149247.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs74068327&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs74068327.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs682150&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs682150.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs11172&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs11172.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2230659&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2230659.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs11211175&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs11211175.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs6698809&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs6698809.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs10888842&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs10888842.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs10889342&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs10889342.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs11590159&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs11590159.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs75356793&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs75356793.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs57564445&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs57564445.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs418289&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs418289.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs932692&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs932692.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs3795543&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs3795543.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs149980427&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs149980427.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs36057148&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs36057148.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2783500&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2783500.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs112200748&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs112200748.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs12086822&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs12086822.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2008056&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2008056.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs72980704&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs72980704.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs574344&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs574344.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs72689123&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs72689123.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs115818994&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs115818994.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs11808075&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs11808075.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7520733&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7520733.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs78824649&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs78824649.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs76203894&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs76203894.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs1890041&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs1890041.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs17356284&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs17356284.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7533714&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7533714.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2089082&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2089082.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7523082&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7523082.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2172706&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2172706.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs12748155&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs12748155.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs9426929&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs9426929.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs6670477&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs6670477.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs6696019&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs6696019.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2842873&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2842873.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs10908503&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs10908503.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs1590450&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs1590450.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2499846&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2499846.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs1883577&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs1883577.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs4657694&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs4657694.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs11807657&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs11807657.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs12083609&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs12083609.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs114884878&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs114884878.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs16856699&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs16856699.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs589402&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs589402.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs6658514&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs6658514.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2197909&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2197909.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs3093437&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs3093437.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs10915970&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs10915970.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs76230629&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs76230629.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs80208373&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs80208373.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7526641&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7526641.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2737713&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2737713.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs61831807&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs61831807.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs10158232&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs10158232.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs10754537&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs10754537.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs59067999&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs59067999.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs1217&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs1217.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs6085202&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs6085202.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs8119803&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs8119803.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7272833&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7272833.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs1010759&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs1010759.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs62203560&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs62203560.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs116093728&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs116093728.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs78835326&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs78835326.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs234617&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs234617.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2184159&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2184159.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs1760049&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs1760049.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2284550&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2284550.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7279532&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7279532.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs1985483&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs1985483.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs73907582&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs73907582.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs8139079&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs8139079.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs131682&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs131682.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7291184&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7291184.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs10854687&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs10854687.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs6000495&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs6000495.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs73422754&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs73422754.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7288760&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7288760.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs73887807&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs73887807.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs5758300&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs5758300.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs73887905&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs73887905.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs55833070&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs55833070.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs28662996&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs28662996.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs6002794&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs6002794.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7287117&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7287117.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs5764571&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs5764571.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs112928085&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs112928085.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs739248&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs739248.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs28584725&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs28584725.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7588656&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7588656.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs60893898&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs60893898.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs72786277&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs72786277.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs212694&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs212694.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs12468045&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs12468045.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs13388291&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs13388291.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs6546137&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs6546137.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs12463467&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs12463467.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs59874231&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs59874231.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs114273490&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs114273490.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs143166149&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs143166149.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs191726137&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs191726137.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs13428530&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs13428530.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs10169777&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs10169777.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs3769708&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs3769708.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs28369921&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs28369921.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs74182847&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs74182847.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs6743246&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs6743246.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs6542417&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs6542417.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7558521&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7558521.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs62164566&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs62164566.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs4954128&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs4954128.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs4954201&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs4954201.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7587301&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7587301.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs181211237&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs181211237.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2711066&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2711066.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs75188224&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs75188224.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs28616716&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs28616716.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs16831939&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs16831939.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs5742938&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs5742938.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs10168387&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs10168387.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs11894766&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs11894766.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs10804069&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs10804069.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs59749746&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs59749746.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs1595404&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs1595404.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs624086&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs624086.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs6722598&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs6722598.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs6725726&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs6725726.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs35285732&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs35285732.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs78834190&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs78834190.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs6437235&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs6437235.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs1859925&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs1859925.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs12992636&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs12992636.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs242728&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs242728.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs17032600&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs17032600.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs73019547&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs73019547.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs75859540&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs75859540.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2164357&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2164357.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2455820&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2455820.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2471809&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2471809.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs9854036&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs9854036.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs73155208&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs73155208.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs4683019&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs4683019.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs145923811&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs145923811.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs4974091&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs4974091.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs148770843&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs148770843.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs9814833&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs9814833.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs73843326&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs73843326.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs3821868&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs3821868.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs6445823&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs6445823.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs3772224&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs3772224.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7622083&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7622083.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs6790026&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs6790026.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7642119&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7642119.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs12631598&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs12631598.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs6786947&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs6786947.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs75386471&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs75386471.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs115750251&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs115750251.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs75952291&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs75952291.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs9831321&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs9831321.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs9820529&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs9820529.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs6785658&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs6785658.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs34231214&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs34231214.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs13327891&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs13327891.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs73054662&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs73054662.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs62291862&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs62291862.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs1473866&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs1473866.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs77614514&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs77614514.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs77517388&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs77517388.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs144813221&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs144813221.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs1476332&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs1476332.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs73080415&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs73080415.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs9872876&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs9872876.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs6819237&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs6819237.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs73793109&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs73793109.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs12646130&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs12646130.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2067003&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2067003.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs362310&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs362310.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs28517428&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs28517428.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs12651262&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs12651262.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2711981&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2711981.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs113702211&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs113702211.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs9997526&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs9997526.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs3804186&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs3804186.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs1565532&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs1565532.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs75847164&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs75847164.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs13135046&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs13135046.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs354885&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs354885.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs143144370&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs143144370.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2616456&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2616456.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs114486183&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs114486183.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs57945204&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs57945204.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs55661467&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs55661467.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs12651246&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs12651246.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs6854739&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs6854739.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs1230207&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs1230207.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7684735&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7684735.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs426442&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs426442.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs223414&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs223414.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs223313&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs223313.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2237055&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2237055.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs57336627&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs57336627.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs112949411&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs112949411.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs143380990&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs143380990.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7438166&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7438166.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs28371025&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs28371025.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2696037&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2696037.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7667777&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7667777.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2578548&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2578548.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs185955753&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs185955753.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7737793&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7737793.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs28460011&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs28460011.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs164394&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs164394.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs343109&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs343109.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs463655&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs463655.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs77043895&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs77043895.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs75533726&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs75533726.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs27601&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs27601.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs28645132&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs28645132.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs55974730&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs55974730.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs56219066&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs56219066.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs62364748&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs62364748.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2548540&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2548540.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs3096167&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs3096167.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs57714862&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs57714862.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs73226356&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs73226356.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs113588728&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs113588728.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs142853399&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs142853399.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs73790048&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs73790048.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs4958366&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs4958366.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs29796&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs29796.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs60732197&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs60732197.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs10479521&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs10479521.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs60325027&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs60325027.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs140590079&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs140590079.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs74523483&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs74523483.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs11950360&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs11950360.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs57129554&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs57129554.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs76836712&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs76836712.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs115728940&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs115728940.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs115312613&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs115312613.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs116797702&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs116797702.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs1570372&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs1570372.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs145036242&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs145036242.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs56161420&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs56161420.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs201051214&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs201051214.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs3799500&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs3799500.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs114039523&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs114039523.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs116178292&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs116178292.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs114653275&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs114653275.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs9462136&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs9462136.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2182546&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2182546.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs145511398&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs145511398.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs78304793&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs78304793.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs568902&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs568902.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs9369901&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs9369901.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs9474245&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs9474245.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs112527805&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs112527805.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs11969894&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs11969894.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs9454990&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs9454990.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs664920&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs664920.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs56926933&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs56926933.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs12211094&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs12211094.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs6924155&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs6924155.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2484325&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2484325.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs9488285&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs9488285.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs9388557&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs9388557.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs4897368&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs4897368.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs552004&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs552004.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs74709984&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs74709984.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs73779307&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs73779307.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs9505829&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs9505829.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs9766160&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs9766160.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs4455682&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs4455682.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs1934534&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs1934534.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs73606248&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs73606248.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs1853256&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs1853256.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs4710160&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs4710160.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs78461900&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs78461900.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs75961981&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs75961981.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs79384014&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs79384014.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs62454712&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs62454712.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs28914835&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs28914835.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs10480031&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs10480031.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs12670721&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs12670721.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7800243&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7800243.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs10265037&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs10265037.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs197339&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs197339.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2528400&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2528400.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs4718097&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs4718097.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs3857687&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs3857687.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs6960865&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs6960865.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs74907645&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs74907645.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs116206609&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs116206609.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2108321&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2108321.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs185194793&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs185194793.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs1754218&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs1754218.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs138888576&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs138888576.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs6954290&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs6954290.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs117065900&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs117065900.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs61543997&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs61543997.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs74299668&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs74299668.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs73154897&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs73154897.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs138945345&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs138945345.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs10249222&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs10249222.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs4729877&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs4729877.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs10953378&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs10953378.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs740298&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs740298.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs114079756&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs114079756.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs40915&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs40915.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs17166351&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs17166351.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs76510925&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs76510925.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs1559536&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs1559536.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs62487613&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs62487613.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs141100415&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs141100415.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs899129&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs899129.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs34201592&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs34201592.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs4727018&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs4727018.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs79007956&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs79007956.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs10239400&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs10239400.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs4716445&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs4716445.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs1990435&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs1990435.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs3735933&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs3735933.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs4840950&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs4840950.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs11250129&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs11250129.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs1692817&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs1692817.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs149699649&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs149699649.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs1126677&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs1126677.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs16887277&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs16887277.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2251619&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2251619.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs60960611&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs60960611.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs150594744&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs150594744.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7002335&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7002335.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2447507&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2447507.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs3735885&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs3735885.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs60744450&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs60744450.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs3134255&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs3134255.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs73308242&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs73308242.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs10094316&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs10094316.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2717598&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2717598.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs12679494&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs12679494.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs114541292&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs114541292.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7029002&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7029002.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs1765399&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs1765399.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs4457420&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs4457420.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs3763637&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs3763637.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs181368925&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs181368925.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7039590&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7039590.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs290236&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs290236.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs73527330&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs73527330.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs10992202&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs10992202.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs145898840&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs145898840.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs115274253&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs115274253.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2486612&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2486612.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2809771&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2809771.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs10217337&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs10217337.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs4743393&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs4743393.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs145442469&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs145442469.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs12339205&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs12339205.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs4978756&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs4978756.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs11792254&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs11792254.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs59762742&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs59762742.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7045668&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7045668.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs12376337&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs12376337.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs143563442&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs143563442.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs60326488&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs60326488.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs1310538&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs1310538.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs4836664&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs4836664.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs2855195&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs2855195.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs28533491&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs28533491.LD.txt
curl -k -X GET 'https://ldlink.nci.nih.gov/LDlinkRest/ldproxy?var=rs7030817&pop=YRI&r2_d=r2&token=85de9ca07fba' > /project2/gilad/briana/apaQTL/data/apaQTLs/LDsnps/rs7030817.LD.txt
